Subject: Re: [PATCH v3 0/4] commit-graph: fsck zero/non-zero generation number fixes

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Aug 2023 16:22:51 -0700

Jeff King <[email-masked]> writes:

> The end result looks good to me. I probably would have squashed at least
> 2+4 into one, and probably just squashed 3 into that as well. But I am
> OK with it as-is, too, and it is definitely diminishing returns to keep
> polishing it.

I had the same impression.  The endgame after applying all four
looks very sensible but the changes necessary to fix things while
keeping ZERO_EXISTS and NUMBER_EXISTS looked more or less like
unnecessary detour.

> Thanks for assembling it into a usable form.

Yup.  Will queue almost as-is (except for dropping the repeated
"commit-graph" on the title of the last step).

THanks.